#include <iostream>
#include <bits/stdc++.h>
#define endl '\n'
#define pb push_back
#define fi first
#define se second
#define mp make_pair
using namespace std;
typedef long long ll;
typedef unsigned long long ull;
typedef pair<int, int> pii;
typedef pair <ll, ll> pll;
typedef vector<int> v;
typedef vector<long> vl;
typedef long double ld;
const int MAX_N = 1e5 + 5;
const ll MOD = 1e9 + 7;
const ll INF = 1e9;

void solve() {
    long n,l;
    cin>>n>> l;
    vl h(n);
    for (long i=0;i<n;++i) {
        cin>>h[i];
        if(h[i]<=l) {
            printf("%ld",i+1);
            return;
        }
    }
    printf("-1");
}


int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    solve();
    return 0;
}